package com.anyway.favor.mapper;

import com.anyway.favor.model.FavorItem;

import java.util.List;
import java.util.Map;

/**
 * 人情明细数据层
 *
 * @author liuchuanwei
 * @date 2024-02-24
 */
public interface FavorItemMapper {
    /**
     * 查询全部
     *
     * @return
     */
    List<FavorItem> findAll();

    /**
     * 根据条件查询列表
     *
     * @param map
     * @return
     */
    List<FavorItem> findByCondition(Map<String, Object> map);

    /**
     * 根据主键ID查询
     *
     * @param id
     * @return
     */
    FavorItem findById(Long id);

    /**
     * 插入
     *
     * @param favorItemList
     * @return
     */
    int batchAdd(List<FavorItem> favorItemList);

    /**
     * 更新
     *
     * @param favorItem
     * @return
     */
    int update(FavorItem favorItem);

    /**
     * 根据ID删除
     *
     * @param id
     * @return
     */
    int deleteById(Long id);

    /**
     * 根据人情ID删除
     *
     * @param favorId
     * @return
     */
    int deleteByFavorId(Long favorId);

}
