package com.anyway.favor.mapper;

import com.anyway.favor.model.Favor;

import java.util.List;
import java.util.Map;

/**
 * 人情数据层
 *
 * @author liuchuanwei
 * @date 2024-02-24
 */
public interface FavorMapper {

    /**
     * 根据条件查询列表
     *
     * @param map
     * @return
     */
    List<Favor> findByCondition(Map<String, Object> map);

    /**
     * 根据主键ID查询
     *
     * @param id
     * @return
     */
    Favor findById(Long id);

    /**
     * 插入
     *
     * @param Favor
     * @return
     */
    int add(Favor Favor);

    /**
     * 更新
     *
     * @param Favor
     * @return
     */
    int update(Favor Favor);

    /**
     * 根据ID删除
     *
     * @param id
     * @return
     */
    int deleteById(Long id);

}
