package com.anyway.favor.mapper;

import com.anyway.favor.model.Person;

import java.util.List;
import java.util.Map;

/**
 * 人员数据层
 *
 * @author anyway
 * @date 2024-02-20
 */
public interface PersonMapper {
    /**
     * 查询全部
     *
     * @return
     */
    List<Person> findAll();

    /**
     * 根据条件查询列表
     *
     * @param map
     * @return
     */
    List<Person> findByCondition(Map<String, Object> map);

    /**
     * 根据主键ID查询
     *
     * @param id
     * @return
     */
    Person findById(Long id);

    /**
     * 插入
     *
     * @param person
     * @return
     */
    int add(Person person);

    /**
     * 更新
     *
     * @param person
     * @return
     */
    int update(Person person);

    /**
     * 根据ID列表删除
     *
     * @param idList
     * @return
     */
    int deleteByIds(List<Long> idList);

    /**
     * 更新配偶为空
     *
     * @param id
     * @return
     */
    int updateNullMate(Long id);
    /**
     * 更新配偶为空
     *
     * @param id
     * @return
     */
    int updateNullMother(Long id);
    /**
     * 更新父亲为空
     *
     * @param id
     * @return
     */
    int updateNullFather(Long id);
}
