package com.anyway.favor.mapper;

import com.anyway.favor.model.User;

import java.util.List;
import java.util.Map;

/**
 * 用户数据层
 *
 * @author liuchuanwei
 * @date 2024-02-24
 */
public interface UserMapper {
    /**
     * 查询全部
     *
     * @return
     */
    List<User> findAll();

    /**
     * 根据条件查询列表
     *
     * @param map
     * @return
     */
    List<User> findByCondition(Map<String, Object> map);

    /**
     * 根据主键ID查询
     *
     * @param id
     * @return
     */
    User findById(Long id);

    /**
     * 插入
     *
     * @param user
     * @return
     */
    int add(User user);

    /**
     * 更新
     *
     * @param user
     * @return
     */
    int update(User user);

    /**
     * 根据ID删除
     *
     * @param id
     * @return
     */
    int deleteById(Long id);

}
