package com.anyway.favor.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 人情实体类
 * 
 * @author anyway
 * @date 2024-02-20
 */
@Setter
@Getter
public class Favor extends BaseModel implements java.io.Serializable {
    /** 版本号 */
    private static final long serialVersionUID = 666680999611094083L;

    /** id */
    private Long id;

    /** 发生日期 */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date occurDate;

    /** 标题 */
    private String title;

    /** 主题人 */
    private Long personId;
    @TableField(exist = false)
    private String personName;

    /** 收入金额 */
    private BigDecimal incomeAmount;

    /** 支出金额 */
    private BigDecimal payAmount;

    /** 备注 */
    private String remark;

    /** 人情明细 */
    private List<FavorItem> favorItemList;
    /** 地址 */
    @TableField(exist = false)
    private String address;

}