package com.anyway.favor.model;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 人情明细表(t_favor_item)
 * 
 * @author anyway
 * @date 2024-02-20
 */
@Setter
@Getter
public class FavorItem extends BaseModel implements java.io.Serializable {
    /** 版本号 */
    private static final long serialVersionUID = 6101318181722924652L;

    /** id */
    private Long id;

    /** 事件ID */
    private Long favorId;

    /** 对象ID */
    private Long personId;
    /** 对象 */
    private Person person;

    /** 来源对象ID */
    private Long sourcePersonId;
    /** 来源对象 */
    private Person sourcePerson;

    /** 类型，S收入Z支出 */
    private Integer type;

    /** 金额 */
    private BigDecimal amount;

    /** 回赠 */
    private String returnGift;

    /** 备注 */
    private String remark;

    /** 发生日期 */
    private Date occurDate;

    /** 人情 */
    private Favor favor;

}