package com.anyway.favor.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 人员表(t_person)
 * 
 * @author anyway
 * @date 2024-02-20
 */
@Setter
@Getter
public class Person extends BaseModel implements java.io.Serializable {
    /** 版本号 */
    private static final long serialVersionUID = -476789774769490644L;

    /** id */
    private Long id;

    /** 姓名 */
    private String name;

    /** 身份证号 */
    private String cardId;

    /** 称呼 */
    private String callName;

    /** 性别,M男F女 */
    private String gender;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    /** 去世日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date deathDate;

    /** 婚姻状况，0未婚1已婚 */
    private Integer maritalStatus;

    /** 配偶ID */
    private Long mateId;
    private String mateName;

    /** 母亲ID */
    private Long motherId;
    private String motherName;

    /** 父亲ID */
    private Long fatherId;
    private String fatherName;

    /** 家中排行 */
    private Integer sort;

    /** 关联人 */
    private Long relatedId;
    /** 详细地址 */
    private String address;
    /** 备注 */
    private String remark;

}