package com.anyway.favor.service;

import com.anyway.favor.model.FavorItem;

import java.util.List;
import java.util.Map;

/**
 * 人情明细业务接口
 *
 * @author liuchuanwei
 * @date 2024-02-24
 */
public interface FavorItemService {

    /**
     * 根据条件查询列表
     *
     * @param map
     * @return
     */
    List<FavorItem> findByCondition(Map<String, Object> map);

    /**
     * 根据人情ID查询列表
     *
     * @param favorId
     * @return
     */
    List<FavorItem> findByFavorId(Long favorId);

    /**
     * 添加
     *
     * @param favorItem
     * @return
     */
    boolean add(FavorItem favorItem);

    /**
     * 更新
     *
     * @param favorItem
     * @return
     */
    boolean update(FavorItem favorItem);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    FavorItem findById(Long id);


}
