package com.anyway.favor.service;

import com.anyway.favor.model.Favor;
import com.anyway.util.PageQuery;

import java.util.List;
import java.util.Map;

/**
 * 人情业务接口
 *
 * @author liuchuanwei
 * @date 2024-02-24
 */
public interface FavorService {

    /**
     * 根据条件查询列表
     *
     * @param map
     * @return
     */
    List<Favor> findByCondition(Map<String, Object> map);

    /**
     * 分页查询
     *
     * @param pageQuery
     * @return
     */
    List<Favor> findPage(PageQuery<Map<String, Object>> pageQuery);

    /**
     * 添加
     *
     * @param favor
     * @return
     */
    boolean add(Favor favor);

    /**
     * 更新
     *
     * @param favor
     * @return
     */
    boolean update(Favor favor);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    Favor findById(Long id);

    /**
     * 根据ID移除
     *
     * @param id
     * @return
     */
    boolean deleteById(Long id);
}
