package com.anyway.favor.service.impl;

import com.anyway.favor.mapper.FavorItemMapper;
import com.anyway.favor.model.FavorItem;
import com.anyway.favor.service.FavorItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
/**
 * 人情明细业务实现类
 *
 * @author liuchuanwei
 * @date 2024-02-24
 */
@Service
public class FavorItemServiceImpl implements FavorItemService {
    @Autowired
    private FavorItemMapper favorItemMapper;

    @Override
    public List<FavorItem> findByCondition(Map<String, Object> map) {
        return favorItemMapper.findByCondition(map);
    }

    @Override
    public List<FavorItem> findByFavorId(Long favorId) {
        Map<String, Object> map = new HashMap<>();
        map.put("favorId", favorId);
        if (!map.containsKey("sortName")) {
            map.put("sortName", "create_time");
            map.put("sortOrder", "asc");
        }
        return favorItemMapper.findByCondition(map);
    }

    @Override
    public boolean add(FavorItem favorItem) {
        return false;
    }

    @Override
    public boolean update(FavorItem favorItem) {
        return false;
    }

    @Override
    public FavorItem findById(Long id) {
        return null;
    }
}
