package com.anyway.util;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;
import java.util.function.Function;

/**
 * 成对的对象
 *
 * @author liuchuanwei
 * @date 2024-02-21
 */
@Setter
@Getter
public class Couple {
    private String title;
    private String value;

    public Couple() {
    }

    public Couple(String title, String value) {
        this.title = title;
        this.value = value;
    }

    public static <T> List<Couple> toList(List<T> list, Function<T, String> titleFun, Function<T, String> valFun) {
        List<Couple> coupleList = new ArrayList<>();
        for (T t : list) {
            coupleList.add(new Couple(titleFun.apply(t), valFun.apply(t)));
        }
        return coupleList;
    }
}
