package com.anyway.util;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Getter;
import lombok.Setter;

/**
 * 查询条件
 *
 * @author liuchuanwei
 * @date 2024-02-25
 */
@Setter
@Getter
public class PageQuery<T> extends Page{
    /**
     * 查询条件
     */
    @JsonInclude(JsonInclude.Include.NON_ABSENT)
    @JsonSerialize(include=JsonSerialize.Inclusion.NON_NULL)
    private T terms;

    /**
     * 返回分页对象
     *
     * @return
     */
    public Page getPage() {
        return new Page(this.getPageNo(), this.getPageSize(), this.getSortName(), this.getSortOrder(), this.getTotal(), this.getTotalPage());
    }

}
