package com.anyway.util;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * 分页工具类
 *
 * @author liuchuanwei
 * @date 2024-02-25
 */
public class PageUtils {

    /**
     * 开始分页
     *
     * @param page
     */
    public static void startPage(Page page) {
        if (StringUtils.isEmpty(page.getSortName())) {
            PageHelper.startPage(page.getPageNo(), page.getPageSize());
        } else {
            PageHelper.startPage(page.getPageNo(), page.getPageSize(), page.getSortName() + " " + page.getSortOrder());
        }
    }

    /**
     * 获取总数
     *
     * @param list
     * @param <T>
     * @return
     */
    public static <T> long getPageTotal(List<T> list) {
        return new PageInfo<>(list).getTotal();
    }

    /**
     * 设置分页总数
     *
     * @param list
     * @param page
     * @param <T>
     * @return
     */
    public static <T> void setPageTotal(List<T> list, Page page) {
        PageInfo<T> pageInfo = new PageInfo<>(list);
        page.setTotal(pageInfo.getTotal());
    }
}
