-- 创建数据库favor
create database favorBill default character set utf8mb4 collate utf8mb4_general_ci;
use favorBill;

drop table if exists t_user;
create table t_user(
    id int(11) primary key auto_increment,
    account varchar(50) not null comment '账号',
    password varchar(100) not null comment '密码',
    create_time timestamp default current_timestamp comment '创建时间',
    create_by int(11) comment '创建者',
    modify_time timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '修改时间',
    modify_by int(11) comment '修改者'
) comment '用户表';

drop table if exists t_person;
create table t_person(
    id int(11) primary key auto_increment,
    name varchar(20) comment '姓名',
    card_id varchar(20) comment '身份证号',
    call_name varchar(50) comment '称呼',
    gender char(1) comment '性别,M男F女',
    birthday date comment '生日',
    death_date date comment '去世日期',
    marital_status tinyint default 0 comment '婚姻状况，0未婚1已婚',
    mate_id int(11) comment '配偶ID',
    mother_id int(11) comment '母亲ID',
    father_id int(11) comment '父亲ID',
    sort tinyint comment '家中排行',
    related_id int(11) comment '关联人',
    address varchar(100) comment '详细地址',
    remark varchar(255) comment '备注',
    create_time timestamp default current_timestamp comment '创建时间',
    create_by int(11) comment '创建者',
    modify_time timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '修改时间',
    modify_by int(11) comment '修改者'
) comment '人员表';
drop table if exists t_favor;
create table t_favor(
    id int(11) primary key auto_increment,
    occur_date date comment '发生日期',
    title varchar(50) comment '标题',
    person_id int(11) comment '主题人',
    income_amount decimal(10,2) comment '收入金额',
    pay_amount decimal(10,2) comment '支出金额',
    remark varchar(255) comment '备注',
    create_time timestamp default current_timestamp comment '创建时间',
    create_by int(11) comment '创建者',
    modify_time timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '修改时间',
    modify_by int(11) comment '修改者'
) comment '事件表';
drop table if exists t_favor_item;
create table t_favor_item(
    id int(11) primary key auto_increment,
    favor_id int(11) comment '事件ID',
    person_id int(11) comment '对象ID',
    source_person_id int(11) comment '来源对象ID',
    type char(1) comment '类型，S收入Z支出',
    amount decimal(10,2) comment '金额',
    return_gift varchar(255) comment '回赠',
    remark varchar(255) comment '备注',
    occur_date date comment '发生日期',
    create_time timestamp default current_timestamp comment '创建时间',
    create_by int(11) comment '创建者',
    modify_time timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '修改时间',
    modify_by int(11) comment '修改者'
) comment '人情明细表';
-- 插入一条原始数据
insert into t_user(account, password, create_by) values ('liuchuanwei', '123456', 'system');
INSERT INTO t_person (name, card_id, call_name, gender, marital_status, birthday, sort, address)
values ('刘传伟', '371321199301303114', '自己', 'M', 1, '1992-12-29', 1, '刘家河疃');

